import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { SharedModule } from 'app/shared/shared.module';

import { StatisticsDeleteDialogComponent } from './statistics-delete-dialog.component';
import { StatisticsDetailComponent } from './statistics-detail.component';
import { StatisticsUpdateComponent } from './statistics-update.component';
import { StatisticsComponent } from './statistics.component';
import { statisticsRoute } from './statistics.route';

@NgModule({
  imports: [SharedModule, RouterModule.forChild(statisticsRoute)],
  declarations: [StatisticsComponent, StatisticsDetailComponent, StatisticsUpdateComponent, StatisticsDeleteDialogComponent],
  entryComponents: [StatisticsDeleteDialogComponent],
})
export class GitsearchStatisticsModule {}
